﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows.Forms;
using System.Drawing;


namespace FM4500 {
    class PanelDriveFree : Panel {

        SolidBrush _drawBrushRed = new SolidBrush(Color.Red);
        SolidBrush _drawBrushGreen = new SolidBrush(Color.Green);
        double free;

        public PanelDriveFree(double free) {
            this.free = free;
            // BackColor = Color.Yellow;
            this.Paint += new System.Windows.Forms.PaintEventHandler(this.PanelDriveFree_Paint);
            this.DoubleBuffered = true;
        }


        public void PanelDriveFree_Paint(object sender, PaintEventArgs e) {
            Graphics g = e.Graphics;
            int w = (int)(Width * free);
            g.FillRectangle(_drawBrushGreen, 0, 0, w, Height);
            g.FillRectangle(_drawBrushRed, w, 0, Width, Height);
        }

    }
}
